#pragma once
#include <memory>

namespace deerith {
	template <typename T>
	using Scope = std::unique_ptr<T>;

	template <typename T, typename... Args>
	constexpr auto make_scope(Args&&... args) {
		return std::make_unique<T>(std::forward<Args>(args)...);
	}
} // namespace deerith
